# $Revision: 1.102 $, $Date: 2011/08/31 18:26:52 $
Summary:	Text file browser -- less is more
Summary(de.UTF-8):	Programm zum Anzeigen von Textdateien - weniger ist mehr
Summary(es.UTF-8):	Browser para archivo texto (- es +)
Summary(fr.UTF-8):	Une lecteur de fichiers texte
Summary(pl.UTF-8):	Przeglądarka plików tekstowych - mniej jest więcej
Summary(pt_BR.UTF-8):	Browser para arquivo texto (- é +)
Summary(ru.UTF-8):	Программа для просмотра текстовых файлов похожая на more, но лучше
Summary(tr.UTF-8):	Metin dosyası görüntüleyici - more benzeri
Summary(uk.UTF-8):	Програма для перегляду текстових файлів схожа на more, але краща
Name:		less
Version:	444
Release:	2
License:	GPL v3+
Group:		Applications/Text
#Source0Download: http://www.greenwoodsoftware.com/less/download.html
Source0:	http://www.greenwoodsoftware.com/less/%{name}-%{version}.tar.gz
# Source0-md5:	56f9f76ffe13f70155f47f6b3c87d421
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	07bb76556307ab4cecba7abd3933bad2
Source2:	%{name}echo.1
Patch0:		%{name}-shell.patch
Patch1:		%{name}-multilib.patch
Patch2:		%{name}-libtinfo.patch
URL:		http://www.greenwoodsoftware.com/less/
BuildRequires:	autoconf >= 2.50
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	rpmbuild(macros) >= 1.317
Requires:	lesspipe
Requires:	setup >= 2.4.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The less utility is a text file browser that resembles more, but has
more capabilities. Less allows you to move backwards in the file as
well as forwards. Since less doesn't have to read the entire input
file before it starts, less starts up more quickly than text editors
(for example, vi).

%description -l de.UTF-8
less ist ein Textdatei-Viewer ähnlich 'more' ... aber besser!

%description -l es.UTF-8
less es un visor de archivo texto parecido con 'more', sólo que mejor.

%description -l fr.UTF-8
less est un visualisateur de fichier texte, comme « more », mais en
mieux.

%description -l pl.UTF-8
Less jest programem podobnym w działaniu do standardowego uniksowego
`more', lecz o znacznie większych możliwościach.

%description -l pt_BR.UTF-8
less é um visualizador de arquivo texto parecido com 'more', só que
melhor.

%description -l ru.UTF-8
Программа для просмотра текстовых файлов, похожа на more, но имеет
больше возможностей. less позволяет двигаться по файлу в обратном
направлении. Поскольку less не считывает предварительно весь входной
файл, он запускается значительно быстрее текстовых редакторов
(например, vi).

%description -l tr.UTF-8
less, more aracına çok benzeyen ama ondan daha yetenekli bir dosya
görüntüleme aracıdır. Metin dosyalarının sayfa sayfa gösterilmesini
sağlar.

%description -l uk.UTF-8
Програма для перегляду текстових файлів; схожа на more, але має більше
можливостей. less дозволяє рухатись по файлу в зворотньому напрямку.
Оскільки less не зчитує попередньо весь вхідний файл, він запускається
значно швидше ніж текстові редактори (наприклад, vi).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__autoconf}
%configure

%{__make} \
	CPPFLAGS="-D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir},/etc/env.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1

# Prepare env files
echo '#LESS="i m q s X -M"' > $RPM_BUILD_ROOT/etc/env.d/LESS
echo '#PAGER=less' > $RPM_BUILD_ROOT/etc/env.d/PAGER

rm -f $RPM_BUILD_ROOT%{_mandir}/README.less-non-english-man-pages*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%env_update

%postun
%env_update

%files
%defattr(644,root,root,755)
%doc README NEWS
%attr(755,root,root) %{_bindir}/less*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/LESS
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/PAGER
%{_mandir}/man1/less*.1*
%lang(de) %{_mandir}/de/man1/less.1*
%lang(hu) %{_mandir}/hu/man1/less.1*
%lang(it) %{_mandir}/it/man1/less*.1*
%lang(ja) %{_mandir}/ja/man1/less*.1*
%lang(pl) %{_mandir}/pl/man1/less*.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: less.spec,v $
Revision 1.102  2011/08/31 18:26:52  arekm
- release 2

Revision 1.101  2011/06/11 14:56:52  witekfl
- 444

Revision 1.100  2011/05/03 16:27:33  qboosh
- updated to 443

Revision 1.99  2010/04/15 12:10:55  arekm
- release 2

Revision 1.98  2009/11/29 14:29:10  gotar
- upgraded to 436

Revision 1.97  2009/04/19 23:15:23  glen
- release 2

Revision 1.96  2009/04/19 11:20:48  radek
- version 429

Revision 1.95  2009/02/18 20:59:58  arekm
- release 3

Revision 1.94  2008/11/19 02:47:41  glen
- release 2

Revision 1.93  2008/01/22 20:28:45  qboosh
- updated to 418 (GPL v3 now)
- updated multilib,libtinfo patches
- removed obsolete DESTDIR and now breaking edit patch
- CVE-2004-2264 mentioned in security note has been disputed - not a vulnerability

Revision 1.92  2007-12-29 00:32:37  glen
- rel 9

Revision 1.91  2007-11-01 16:04:27  glen
- require lesspipe separate package; rel 8

Revision 1.90  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.89  2007/08/21 11:06:14  glen
- add .7z to lesspipe; rel 7

Revision 1.88  2007/05/10 08:55:50  glen
- rel 6: updated lesspipe

Revision 1.87  2007/03/02 17:38:02  tommat
- added multilib patch

Revision 1.86  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.85  2007/02/12 00:49:01  baggins
- converted to UTF-8

Revision 1.84  2006/12/15 11:05:31  glen
- add .deb to lesspipe; rel 5

Revision 1.83  2006/08/31 23:18:35  glen
- rel 4

Revision 1.82  2006/08/31 17:21:48  glen
- %env_update; rel 3

Revision 1.81  2006/05/04 12:53:24  gotar
- restored previous LESS settings

Revision 1.80  2006/04/22 14:06:01  glen
- rel 2

Revision 1.79  2006/03/14 14:56:07  glen
- restored previous settings

Revision 1.78  2006/03/14 14:43:16  gotar
- reverted 1.76 (don't enable YOUR OWN configuration by default!)

Revision 1.77  2006/02/25 18:17:07  qboosh
- updated libtinfo patch to link with libtinfow

Revision 1.76  2006/02/23 00:10:07  glen
- less -R

Revision 1.75  2006/02/23 00:06:10  glen
- updated to 394

Revision 1.74  2005/12/25 09:35:45  gotar
- added LESS and PAGER env.d, release 7

Revision 1.73  2005/12/03 02:17:50  glen
- rel 6

Revision 1.72  2005/10/10 08:24:33  qboosh
- dropped obsolete ifarch axp (more is provided by util-linux on alpha too)

Revision 1.71  2005/10/09 17:01:25  darekr
- GPL v2

Revision 1.70  2005/10/09 14:47:08  glen
- rel 5

Revision 1.69  2005/10/09 14:38:42  adamg
- fixed path to etc/env.d

Revision 1.68  2005/10/09 10:34:40  glen
- rel 4

Revision 1.67  2005/05/11 17:40:13  adamg
- release 3 for Th

Revision 1.66  2005/02/13 10:01:13  glen
- improved lesspipe.sh; rel 2; STBR

Revision 1.65  2004/10/29 14:13:47  paladine
- unifications

Revision 1.64  2004/08/23 09:12:06  blues
- SECURITY note

Revision 1.63  2004/08/12 18:08:02  arekm
- 382 (no real changes)

Revision 1.62  2004/04/22 17:52:15  adgor
- env.d support; release 5

Revision 1.61  2004/02/29 18:23:37  saq
- locale-charmap.patch: use the locale's charmap, unless overridden by
  LESSCHARSET
- release 4, STBR

Revision 1.60  2004/01/23 10:01:46  jajcus
- Release: 3 (to rebuild on AMD64 and _tag_)

Revision 1.59  2003/08/30 12:39:16  mmazur
- rel 2 for ac

Revision 1.58  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.57  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.56  2003/05/25 05:49:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.55  2003/02/16 21:33:02  orzech
- up to 381

Revision 1.54  2003/01/18 16:23:16  kloczek
- release 4: bumped for allow upgrade from RH,
- merge number patch from RH: fix line numbering (less -N filename),
  caused by a broken i18n patch,
- added libtinfo patch which allow link less only with libtinfo if avalaible
  (patch posted to less maintainer).

Revision 1.53  2003/01/17 23:48:10  ankry
- added lessecho.1 manpage from Debian
- rel. 3

Revision 1.52  2002/12/02 11:06:21  ankry
- massive cleaning

Revision 1.51  2002/10/24 00:23:08  ankry
- updated man pages; rel. 2

Revision 1.50  2002/10/06 12:13:49  kloczek
- updated to 378: bug fixes.

Revision 1.49  2002/08/03 23:07:09  ankry
- fixed %doc
- release 2

Revision 1.48  2002/07/21 11:29:01  areq
- 376, STBR (Version 376 fixes some bugs in version 370 through 375.)
- update URL
- new %doc

Revision 1.47  2002/05/21 23:13:42  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
  	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/02 16:26:25  qboosh
- bashism removed from less.sh (ankry)
- fixed CPPFLAGS passing - now less has largefile support (where available)
- release 3

Revision 1.45  2002/04/02 09:23:58  qboosh
- Requires: file (used by lesspipe.sh); release 2

Revision 1.44  2002/03/07 23:50:25  ankry
- capitals

Revision 1.43  2002/03/07 18:59:05  kloczek
- merge translatins from KSI.

Revision 1.42  2002/03/07 18:56:31  kloczek
- merge translations from Conectiva.

Revision 1.41  2002/03/06 17:52:23  filon
- updated to 374 (very long not updated, many bugs fixed etc...)
- updated shell patch

Revision 1.40  2002/02/23 03:26:00  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/18 02:13:36  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2001/11/14 23:25:35  kloczek
- release 23: merge edit rawhide patch.

Revision 1.36  2001/11/14 22:22:56  ankry
- added de,hu,it,ja, and one more pl man page
- release 21

Revision 1.35  2001/06/30 10:45:04  mkochano
- Release 20.
- Rebuilt with corrected lesspipe.sh - tar.bz2 support now works.

Revision 1.34  2001/06/27 19:41:22  kloczek
- release 19: more fixes for lesspipe.sh - oure tar do not support "y" option
  so now is use bzcat and tar for view list files archived in *.tar.bz2
  archives (thaks ones more glen).

Revision 1.33  2001/06/26 09:16:19  kloczek
- aply lesspipe.sh patch directly to Source2 (lesspipe.sh script).

Revision 1.32  2001/06/26 07:53:22  kloczek
- release 18,
- added lesspipe.sh patch (tnanks for glen <glen@online.ee>) for allow view
  files with spaces in file names. Orginal patch changed by me for allow
  recognize also *.l as man pages and use -Tlatin1 instead -Tascii in groff
  parameters.

Revision 1.31  2001/06/22 02:54:50  kloczek
- bump release to 17.

Revision 1.30  2000/10/01 00:40:04  kloczek
- release 8,
- merged shell RH patch,
- use rpm new automation suit,
- spec adapterized.

Revision 1.29  2000/08/08 10:08:02  malekith
- added lesspipe.sh script to allow reading compressed files.

Revision 1.28  2000/07/13 23:11:55  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.27  2000/07/13 20:43:51  baggins
- release 2

Revision 1.26  2000/07/11 09:55:58  kloczek
- updated to 358,
- new Source url.

Revision 1.25  2000/06/09 07:23:18  kloczek
- added using %{__make} macro.

Revision 1.24  2000/05/31 12:43:06  kloczek
- spec adapterized.

Revision 1.23  2000/04/01 21:07:42  kloczek
- updated to 354.

Revision 1.22  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.20  2000/03/10 03:47:32  kloczek
- updated to 352.

Revision 1.19  1999/12/30 05:14:17  kloczek
- updated to 346,
- removed keys patch (included in current version),
- link only against libtinfo,
- updated Source url and added URL.

Revision 1.18  1999/11/16 17:59:58  kloczek
- release 4,
- build agains ncurses 5.0.

Revision 1.17  1999/07/27 17:01:16  kloczek
- release 3,
- added handling HOME/END keys as go to top/bottom viewed file (keys patch),
- added passing LDFLAGS="-s" to ./configre environment.

Revision 1.16  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.15  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).
